Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-views.delete-envelope-correct-view ​

This API method is obsolete. Your application should not call it. It acts as a null operation.

Revokes the correction view URL to the Envelope UI.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
beginontaggerstringNo——
returnurlstringNo—(Required) The URL to which the user should be redirected after the view session has ended. Maximum Length: 470 characters. If the returnUrl exceeds this limit, the user is redirected to a truncated URL Be sure to include https:// in the URL or redirecting might fail on some browsers. When Docusign redirects to this URL, it will include an event query parameter that your app can use: * send: User corrected and sent the envelope. * save: User saved the envelope. * cancel: User canceled the transaction. * error: There was an error when performing the correct or send. * sessionEnd: The session ended before the user completed a different action.
suppressnavigationstringNo—Specifies whether the window is displayed with or without dressing.
viewurlstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
beginontaggerstringNo——
returnurlstringNo—(Required) The URL to which the user should be redirected after the view session has ended. Maximum Length: 470 characters. If the returnUrl exceeds this limit, the user is redirected to a truncated URL Be sure to include https:// in the URL or redirecting might fail on some browsers. When Docusign redirects to this URL, it will include an event query parameter that your app can use: * send: User corrected and sent the envelope. * save: User saved the envelope. * cancel: User canceled the transaction. * error: There was an error when performing the correct or send. * sessionEnd: The session ended before the user completed a different action.
suppressnavigationstringNo—Specifies whether the window is displayed with or without dressing.
viewurlstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/views/correct
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/views/correct
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-views.delete-envelope-correct-view",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}